Subject: Re: [PATCH] mergetool--lib: add support for araxis merge

From: David Aguilar <[email-masked]>
Date: Sun, 3 May 2009 17:09:57 -0700

Markus Heidelberg <[email-masked]> wrote:
> 
> Haven't you included the -title[1-3] command line switches because of
> the strange "'title'" format? The user on the msysgit list had commented
> it out in his patch, although he said it worked in this way. And looking
> at git-gui/lib/mergetool.tcl, it is done in the same way.
> 
> Markus

I looked into it.
Windows. :(

-title1:"nice stuff" works great everywhere except for windows.
-title1:"'nice stuff'" doesn't work there either.
That's probably why it was commented out in the original patch.

On windows we'd have to escape the spaces (wild guess) so the
original patch is probably the best option since I don't feel
like making the other platforms suffer for it.

Seeing .diff_XXXX as the filename is bad too (and that is a
form of suffering as well) but it's a compromise since there
is a possibility that we could fix that elsewhere to
everyone's benefit.

As far as difftool is concerned, the code that generates
the temp filename is prep_temp_blob() in diff.c.
It's used by several callers that naturally care nothing
about filenames.

It would be nice to specialize the ext-diff code to
generate a more intuitive filename.  Maybe something
like original_filename.XXXXX.ext instead of the current
.diff_XXXXX.  Right now the choice of filename breaks
syntax highlighting in some viewers and also makes
the usage of --title args necessary since the default
names tell us nothing about what we're viewing.

That's definitely not the kind of thing to be thinking
about during an -rc cycle ;), though I would be interested
in maybe working on that later if others agree that
it's not a bad idea.

It wouldn't be perfect, but it would be just a
little bit nicer for anyone that's using the tools
everyday.

-- 
		David